Categories:
  - Phone & SMS
License: GPL-3.0-only
AuthorName: The Serval Project
AuthorWebSite: http://www.servalproject.org
SourceCode: https://github.com/servalproject/batphone
IssueTracker: https://github.com/servalproject/batphone/issues
Changelog: https://github.com/servalproject/batphone/blob/development/CURRENT-RELEASE.md
Donate: http://www.servalproject.org/donations

AutoName: Serval Mesh
Description: |-
    '''The Serval Project is seeking funds to develop a mesh extender which aims to
    work around the limitations caused by the lack of AdHoc mode in Android. Visit
    the campaign website to''' [http://www.indiegogo.com/projects/speak-freely
    support the cause].

    '''N.B''' The app no longer asks for root by default although you can still try
    it in adhoc mode. Prebuilts are no longer in the source code.

    This is '''experimental software''': it may not work as advertised. It may lose
    or alter messages and files that it carries; it may consume a lot of space,
    speed and battery, and it may crash unexpectedly.

    Mobile communications are useful, but depend on infrastructure that can be
    damaged, overwhelmed, or even absent. This app assumes zero infrastructure. The
    phones talk to each other using WiFi; relaying calls and messages and figuring
    out how to resolve numbers. In other words, it lets your phone communicate with
    other Android phones running Serval Mesh within WiFi range.

    Requires root: No. Basic Android still doesn’t allow WiFi in AdHoc mode, so the
    app will ask for root if you try to enable adhoc mode.

    The Java/XML part is distributable under the GNU GPLv3 while the serval-dna
    (distributed number architecture) project is GPLv2.

RepoType: git
Repo: https://github.com/servalproject/batphone.git

Builds:
  - versionName: '0.90'
    versionCode: 1929
    commit: '0.90'
    submodules: true
    prebuild:
      - sed -i 's/android:versionName="\@string\/version"/android:versionName="0.90"/g'
        AndroidManifest.xml
      - rm -rf data/bin/iptables data/bin/pand data/ultra_bcm_config gdbserver Makefile
        hi-resZZ
    buildjni:
      - yes
    ndk: r12b

  - versionName: 0.90.1
    versionCode: 1947
    commit: 0.90.1
    submodules: true
    prebuild:
      - sed -i 's/android:versionName="\@string\/version"/android:versionName="0.90.1"/g'
        AndroidManifest.xml
      - rm -rf data/bin/iptables data/bin/pand data/ultra_bcm_config gdbserver Makefile
        hi-resZZ

  - versionName: 0.91.RC2
    versionCode: 2117
    commit: 0.91.RC2
    submodules: true
    forceversion: true

  - versionName: '0.91'
    versionCode: 2120
    commit: '0.91'
    submodules: true
    forceversion: true

  - versionName: '0.92'
    versionCode: 2301
    disable: remove signing
    commit: '0.92'
    submodules: true
    forceversion: true
    rm:
      - gdbserver
      - jni/serval-dna/tests/testdata/serval.keyring-1
    prebuild:
      - sed -i 's;<enforce-version-regex;<!--enforce-version-regex;' build.xml
      - sed -i 's;</enforce-version-regex>;</enforce-version-regex-->;' build.xml
    scandelete:
      - jni/opus/celt/tests/

  - versionName: '0.93'
    versionCode: 2371
    commit: '0.93'
    submodules: true
    forceversion: true
    scandelete:
      - gdbserver
      - jni/opus/celt/tests/
    ndk: r12b
    antcommands:
      - android_rules.release

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: '0.93'
CurrentVersionCode: 2371
